<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:layout name="Default" />

This template is responsible for creating a table of domain objects.

If you modify this template, do not forget to change the overwrite settings
in /Configuration/ExtensionBuilder/settings.yaml:
  Resources:
    Private:
      Templates:
        Competitions:
          List.html: keep

Otherwise your changes will be overwritten the next time you save the extension in the extension builder

<f:section name="content">
    <h1>Listing for Competitions</h1>

    <f:flashMessages />

    <table class="tx_sisbase">
        <tr>
            <th><f:translate key="tx_sisbase_domain_model_competitions.name" /></th>
            <th><f:translate key="tx_sisbase_domain_model_competitions.short_name" /></th>
            <th><f:translate key="tx_sisbase_domain_model_competitions.logo" /></th>
            <th><f:translate key="tx_sisbase_domain_model_competitions.sports" /></th>
            <th><f:translate key="tx_sisbase_domain_model_competitions.competition_mode" /></th>
            <th><f:translate key="tx_sisbase_domain_model_competitions.competition_typ" /></th>
            <th></th>
            <th></th>
        </tr>
        <f:for each="{competitions}" as="competitions">
            <tr>
                <td><f:link.action action="show" arguments="{competitions : competitions}">{competitions.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{competitions : competitions}">{competitions.shortName}</f:link.action></td>
                <td><f:link.action action="show" arguments="{competitions : competitions}">{competitions.logo.originalResource.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{competitions : competitions}">{competitions.sports}</f:link.action></td>
                <td><f:link.action action="show" arguments="{competitions : competitions}">{competitions.competitionMode}</f:link.action></td>
                <td><f:link.action action="show" arguments="{competitions : competitions}">{competitions.competitionTyp}</f:link.action></td>
                <td><f:link.action action="edit" arguments="{competitions : competitions}">Edit</f:link.action></td>
                <td><f:link.action action="delete" arguments="{competitions : competitions}">Delete</f:link.action></td>
            </tr>
        </f:for>
    </table>

    <f:link.action action="new">New Competitions</f:link.action>
</f:section>
</html>
